package cn.com.ty.lift.enterprise.oa.controller;

import cn.com.ty.lift.common.utils.SnowflakeIdWorker;
import cn.com.ty.lift.enterprise.oa.entity.LiftCertificate;
import cn.com.ty.lift.enterprise.oa.service.LiftCertificateService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 操作证管理
 * Created by Administrator on 2019/11/26.
 */
@Slf4j
@RestController
@RequestMapping("liftCertificate")
public class LiftCertificateController {
    @Autowired
    private LiftCertificateService liftCertificateService;

    @Autowired
    private SnowflakeIdWorker snowflakeIdWorker;
    /**
     * @param
     * @return
     * @description
     * @date 2019/11/27 10:11
     */
    @PostMapping("findOne")
    public RestResponse<LiftCertificate> findOne(Long id) {
        log.info("id: " + id);
        log.info("snowflakeIdWorker: " + snowflakeIdWorker.nextId());
        LiftCertificate entity = liftCertificateService.findOne(id);

        return RestResponse.ok(entity);
    }

    @PostMapping("list")
    public RestResponse<IPage<LiftCertificate>> list(int pageNum, int pageSize, String certificateType, String name, Integer status) {
        if (null == certificateType) {
            certificateType = "1";
        }
        //name 模糊查询
        if (null != name && name.length() > 1) {
            name = "%" + name + "%";
        }
        IPage<LiftCertificate> results = liftCertificateService.selectByTypeCondition(pageNum, pageSize, certificateType, name, status);
        if (results == null) {
            return RestResponse.error("查询异常");
        }
        return RestResponse.ok(results);
    }

    @PostMapping("modify")
    public RestResponse<Integer> modify(LiftCertificate entity) {
        if (null == entity) {
            return RestResponse.error("参数有误");
        }
        int result = liftCertificateService.updateByPrimaryKey(entity);
        if (1 < result) {
            return RestResponse.ok(result);
        }
        return RestResponse.error("更新失败");
    }

    public RestResponse<Integer> audit(Long id, boolean pass) {
        //0：无证，1：待审核，2：审核未通过，3：审核通过，4：超期
        int status = pass ? 3 : 2;
        int result = liftCertificateService.updateAudit(id, status);
        return RestResponse.ok(result);
    }
}
