package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.Menu;
import cn.com.ty.lift.system.user.dao.entity.model.MenuRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 菜单接口
 */
public interface IMenuService extends IService<Menu> {
    /**
     * @description 通过角色信息获取菜单列表
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    List<Menu> getByRoleId(Long roleId);

    /**
     * @description 菜单列表转路径
     * @date 2019/11/27 10:03 AM
     * @param menuList 菜单列表
     * @return
     */
    String menuToUrl(List<Menu> menuList);

    /**
     * @description 获取所有的菜单信息
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    RestResponse all();

    /**
     * @description 通过公司id获取公司菜单
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    RestResponse list(MenuRequest menuRequest);

    /**
     * @description 给公司分配菜单
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    RestResponse companyMenu(MenuRequest menuRequest);
}
