package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserAccount;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户账户接口
 */
public interface IUserAccountService {

    /**
     * @description 保存用户账户
     * @date 2019/11/27 10:03 AM
     * @param userAccount 用户账户
     * @return
     */
    int add(UserAccount userAccount);

    /**
     * @description 通过用户手机号获取用户信息
     * @date 2019/11/27 10:03 AM
     * @param mobile 手机号
     * @return
     */
    UserAccount getByMobile(String mobile);

    /**
     * @description 通过账户对象获取账户list
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    List<UserAccount> getByUserAccount(UserAccount userAccount);

    /**
     * @description 通过用户id获取用户账户信息
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    UserAccount getByUserId(Long userId);

    /**
     * @description 更新账户信息
     * @date 2019/11/27 10:03 AM
     * @param userAccount 账户对象
     * @return
     */
    int update(UserAccount userAccount);
}
