package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import cn.com.ty.lift.system.user.dao.entity.model.UserRequest;
import cn.com.ty.lift.system.user.dao.entity.model.UserResponse;
import cn.com.xwy.boot.web.dto.RestResponse;

import java.util.List;

/**
 * <h1>.</h1><BR>
 * @author huangyuan - 2019-11-25 18:36:53
 */
public interface IUserService{
    /**
     * @description  用户注册
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求对象
     * @return
     */
    UserAccount saveUserInfo(UserRequest userRequest);

    /**
     * @description 获取用户列表信息
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数对象
     * @return
     */
    List<UserResponse> list(UserRequest userRequest);

    /**
     * @description 添加用户
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数对象
     * @return
     */
    RestResponse addUser(UserRequest userRequest);

    /**
     * @description 更新用户信息
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数对象
     * @return
     */
    RestResponse updateUser(UserRequest userRequest);

    /**
     * @description 删除用户信息
     * @date 2019/11/27 10:03 AM
     * @param userRequest 用户请求参数对象
     * @return
     */
    RestResponse deleteUser(UserRequest userRequest);

    /**
     * @description 分配职位和角色
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    RestResponse assignRole(UserRequest userRequest);
}
