package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import cn.com.ty.lift.system.user.dao.mapper.UserAccountMapper;
import cn.com.ty.lift.system.user.service.IUserAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户账户
 */
@Service
public class UserAccountService implements IUserAccountService {

    @Autowired
    private UserAccountMapper userAccountMapper;

    @Override
    @Transactional
    public int add(UserAccount userAccount) {
        return userAccountMapper.insert(userAccount);
    }

    @Override
    public UserAccount getByMobile(String mobile) {
        UserAccount userAccount = new UserAccount();
        userAccount.setMobile(mobile);
        return userAccountMapper.getByUserAccount(userAccount);
    }

    @Override
    public List<UserAccount> getByUserAccount(UserAccount userAccount) {
        return userAccountMapper.list(userAccount);
    }

    @Override
    public UserAccount getByUserId(Long userId) {
        UserAccount userAccount = new UserAccount();
        userAccount.setUserId(userId);
        return userAccountMapper.getByUserAccount(userAccount);
    }

    @Override
    public int update(UserAccount userAccount) {
        return userAccountMapper.updateByPrimaryKey(userAccount);
    }
}
