package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.user.dao.entity.UserInfo;
import cn.com.ty.lift.system.user.dao.mapper.UserInfoMapper;
import cn.com.ty.lift.system.user.service.IUserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author huangyuan
 * @date 2019-11-29
 * @description 用户信息
 */
@Service
public class UserInfoService implements IUserInfoService {

    @Autowired
    private UserInfoMapper userInfoMapper;

    @Override
    @Transactional
    public int add(UserInfo userInfo) {
        return userInfoMapper.insert(userInfo);
    }

    @Override
    public UserInfo getByUserId(Long userId) {
        UserInfo userInfo = new UserInfo();
        userInfo.setUserId(userId);
        return userInfoMapper.getByUserInfo(userInfo);
    }

    @Override
    public int update(UserInfo userInfo) {
        return userInfoMapper.updateByPrimaryKey(userInfo);
    }
}
