package cn.com.ty.lift.system.utils;

import cn.hutool.crypto.SecureUtil;

import java.util.Random;

/**
 * @author huangyuan
 * @date 2019-11-30
 * @description 密码工具
 */
public class PasswordUtils {

    /**
     * @description 生成随机码-盐(salt)
     * @date 2019/11/27 10:03 AM
     * @param
     * @return 返回随机码
     */
    public static String randomCode() {
        String checkCode = "";
        char[] character = { '0', '1', '2', '3', '4', '5', '6', '8', '9' };
        Random random = new Random();
        //生成验证码字符串
        for (int i = 0; i < 16; i++)
        {
            checkCode += character[random.nextInt(character.length)];
        }
        return checkCode;
    }

    /**
     * @description 对密码进行加盐并进行hash加密
     * @date 2019/11/27 10:03 AM
     * @param password 密码
     * @param salt 盐
     * @return
     */
    public static String generatePassword(String password, String salt){
        password = String.format(password, salt);
        return SecureUtil.sha1(password);
    }

}
